import { useContext as o } from "react";
import { useStore as s } from "zustand";
import { AreasContext as n } from "../../contexts/AreasContext/index.js";
function x(t, r) {
  const e = o(n);
  if (!e)
    throw new Error("useAreasStore context must be use inside AreasContext");
  return s(e, t, r);
}
export {
  x as useAreasStore
};
